Subject: bug#18532: 24.3.93; C-@ not "seen" by Windows Emacs

From: Noam Postavsky <[email-masked]>
Date: Fri, 09 Feb 2018 22:14:49 -0500

Sebastien Vauban <[email-masked]> writes:

> Hello,
>
> I tried to map the function er/expand-region onto C-@ with:
>
>     (global-set-key (kbd "C-@") 'er/expand-region)
>
> but, in Windows Emacs (tested as well with a minimal configuration
> file), C-h k C-@ returns @...
>
> In the same order, C-k C-M-@ return M-@...
>
> That problems seems to be limited to some versions or platforms, as that
> key binding appears on the author's page
> (http://emacsrocks.com/e09.html).

I don't see this particular problem, although up to version 24.5, Emacs
doesn't receive C-M-) events, there's no response at all.  It works in
25.1 though, I think there were some changes to keyboard handling, which
maybe have fixed OP's problem as well?

Possibly of relevance:
https://support.microsoft.com/en-us/help/967893/input-method-editor-keyboard-shortcut-ctrl-shift-0-switches-the-input